From 3929d3771a21b7cfa41d78868409cfa7ea702fe8 Mon Sep 17 00:00:00 2001
From: Steven Niu <niushiji@gmail.com>
Date: Tue, 13 Aug 2024 19:12:37 -0700
Subject: Use function smgrclose() to replace the loop

Use function smgrclose() to replace the loop to simplify code.

Author: Steven Niu <niushiji@gmail.com>

---
 src/backend/storage/smgr/smgr.c | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

diff --git a/src/backend/storage/smgr/smgr.c b/src/backend/storage/smgr/smgr.c
index 7b9fa103ef..0d6a0f9543 100644
--- a/src/backend/storage/smgr/smgr.c
+++ b/src/backend/storage/smgr/smgr.c
@@ -280,8 +280,7 @@ smgrdestroy(SMgrRelation reln)
 
 	Assert(reln->pincount == 0);
 
-	for (forknum = 0; forknum <= MAX_FORKNUM; forknum++)
-		smgrsw[reln->smgr_which].smgr_close(reln, forknum);
+	smgrclose(reln);
 
 	dlist_delete(&reln->node);
 
@@ -487,8 +486,7 @@ smgrdounlinkall(SMgrRelation *rels, int nrels, bool isRedo)
 		rlocators[i] = rlocator;
 
 		/* Close the forks at smgr level */
-		for (forknum = 0; forknum <= MAX_FORKNUM; forknum++)
-			smgrsw[which].smgr_close(rels[i], forknum);
+		smgrclose(rels[i]);
 	}
 
 	/*
-- 
2.43.0

